AlgorithmParameters
Date: 2016-06-24

java.security

## Class AlgorithmParameters

- java.lang.Object
- - java.security.AlgorithmParameters

-     public class AlgorithmParameters
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AlgorithmParameters(AlgorithmParametersSpi var0, Provider var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `byte[]` | `getEncoded(String var0)`
    `static AlgorithmParameters` | `getInstance(String var0)`
    `static AlgorithmParameters` | `getInstance(String var0, Provider var1)`
    `static AlgorithmParameters` | `getInstance(String var0, String var1)`
    `AlgorithmParameterSpec` | `getParameterSpec(Class var0)`
    `Provider` | `getProvider()`
    `void` | `init(AlgorithmParameterSpec var0)`
    `void` | `init(byte[] var0)`
    `void` | `init(byte[] var0, String var1)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmParameters

          protected AlgorithmParameters(AlgorithmParametersSpi var0,
                             Provider var1,
                             String var2)

  - ### Method Detail

    - #### getAlgorithm

          public final String getAlgorithm()

    - #### getEncoded

          public final byte[] getEncoded()
                                  throws IOException

      Throws:
        `IOException`

    - #### getEncoded

          public final byte[] getEncoded(String var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### getInstance

          public static AlgorithmParameters getInstance(String var0)
                                                 throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static AlgorithmParameters getInstance(String var0,
                                        String var1)
                                                 throws NoSuchAlgorithmException,
                                                        NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static AlgorithmParameters getInstance(String var0,
                                        Provider var1)
                                                 throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getParameterSpec

          public final AlgorithmParameterSpec getParameterSpec(Class var0)
                                                        throws InvalidParameterSpecException

      Throws:
        `InvalidParameterSpecException`

    - #### getProvider

          public final Provider getProvider()

    - #### init

          public final void init(AlgorithmParameterSpec var0)
                          throws InvalidParameterSpecException

      Throws:
        `InvalidParameterSpecException`

    - #### init

          public final void init(byte[] var0)
                          throws IOException

      Throws:
        `IOException`

    - #### init

          public final void init(byte[] var0,
                  String var1)
                          throws IOException

      Throws:
        `IOException`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`